Bug 481531 - (perl-Test-Dynamic) Review Request: perl-Test-Dynamic - Automatic test counting for Test::More
Review Request: perl-Test-Dynamic - Automatic test counting for Test::More
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: bucardo
  Show dependency treegraph
 
Reported: 2009-01-25 21:51 EST by Itamar Reis Peixoto
Modified: 2009-03-04 00:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 00:45:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-01-25 21:51:39 EST
Spec URL: http://www.ispbrasil.com.br/perl-Test-Dynamic/perl-Test-Dynamic.spec
SRPM URL: http://www.ispbrasil.com.br/perl-Test-Dynamic/perl-Test-Dynamic-1.3.3-1.fc9.src.rpm
Description:
Module to help count tests for Test::More, used by Bucardo's test suite


koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1081912
Comment 1 Ralf Corsepius 2009-01-26 02:08:14 EST
You package does not comply to the FPG.

* Missing (mandatory):
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

* Missing:
BuildRequires: perl(Test::More)

* Missing:
Permission fixing in %install.

I.e. add
%{_fixperms} %{buildroot}/*
or
%{__chmod} -R u+w %{buildroot}/*
at the end of the %install section

* Superfluous:
Requires: perl


* The testsuite works fine when providing the package with correct BR:'s
(Add BuildRequires: perl(Test::More) )


Non-blocking:
I dislike packages shipping testsuites in %doc, because these
a) occasionally introduce bogus deps due to defects in rpm's dependency generation.
b) offen don't work
c) add package bloat

... however, this is only my personal preference.

BTW: Are you familiar with Fedora's cpanspec tool? This tools eases significantly helps with getting started on packaging perl-modules for 
Fedora.
Comment 3 Parag AN(पराग) 2009-01-29 11:11:43 EST
1)I see working Source URL should be 
http://search.cpan.org/CPAN/authors/id/T/TU/TURNSTEP/Test-Dynamic-1.3.3.tar.gz


2) Enable make test


3) I see LICENSE is BSD. Also, This can be seen at http://search.cpan.org/dist/Test-Dynamic/
Comment 4 Itamar Reis Peixoto 2009-01-29 12:48:52 EST
fixed.


- Include make test in %%check section, fixed license, the correct is BSD
- fixed sumary and descripton of this package
- fixed source url


http://ispbrasil.com.br/perl-Test-Dynamic/perl-Test-Dynamic.spec
http://ispbrasil.com.br/perl-Test-Dynamic/perl-Test-Dynamic-1.3.3-3.fc10.src.rpm
Comment 5 Itamar Reis Peixoto 2009-02-02 07:53:11 EST
any news ?
Comment 6 Parag AN(पराग) 2009-02-02 08:13:46 EST
Looks Like I missed this to review after assigning myself.

Review:
+ package builds in mock (rawhide i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=1099011
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d1f92a8c14584d45b12d31e5ed942d4c  Test-Dynamic-1.3.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=3, Tests=9,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.22 cusr  0.03 csys =  0.27 CPU)
+ Package perl-Test-Dynamic-1.3.3-3.fc11 ->
Provides: perl(Test::Dynamic) = 1.3.3
Requires: perl >= 0:5.008003 perl(strict) perl(utf8) perl(warnings)


APPROVED.
Comment 7 Itamar Reis Peixoto 2009-02-02 08:26:38 EST
New Package CVS Request
=======================
Package Name: perl-Test-Dynamic
Short Description: Automatic test counting for Test::More
Owners: itamarjp
Branches: F-10 F-9
InitialCC:
Comment 8 Parag AN(पराग) 2009-02-05 08:04:18 EST
can you request cvs by setting fedora-cvs? flag?
Comment 9 Parag AN(पराग) 2009-02-22 23:45:49 EST
ping?
Comment 10 Itamar Reis Peixoto 2009-02-23 14:46:57 EST
look

https://mail.endcrypt.com/pipermail/bucardo-general/2009-February/000191.html

my real intention is to add bucardo into fedora, but Test::Dynamic is going away,

it's not required to bucardo work, only required for testsuit, I don't like to include this package now and orphan it later.

Can you take a look in bucardo review request ?
Comment 11 Parag AN(पराग) 2009-03-04 00:45:53 EST
Fine. Closing this review.

Note You need to log in before you can comment on or make changes to this bug.